This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 100782 - oops in restore_fpu and save_i387_fxsave
oops in restore_fpu and save_i387_fxsave
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 06:58 EDT by Alexander Boström
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ksyms.txt: ksymoops output (2.18 KB, text/plain)
2003-07-25 07:02 EDT, Alexander Boström
no flags Details
dmesg.txt: dmesg output (with oops) (10.40 KB, text/plain)
2003-07-25 07:03 EDT, Alexander Boström
no flags Details
modules.txt: loaded modules (1.31 KB, text/plain)
2003-07-25 07:04 EDT, Alexander Boström
no flags Details

  None (edit)
Description Alexander Boström 2003-07-25 06:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
Here's an oops in restore_fpu, saying "Unable to handle kernel NULL pointer
dereference at virtual address 00000000".

Hardware is Athlon XP 2800+ with Asus A7N8X Deluxe (Yeah, go ahead a laugh! :-)
, 0.5 GB CAS2 PC3200 DDR, 360 W power supply, NVidia MX440 gfx card, WinTV
(bttv) card, Seagate Barracuda etc. No overclocking. CPU is running a bit hot, 
a bit over 50 deg. C, but I'm not sure at which point I should expect it to 
become unstable. (Adding extra cooling didn't make it stable.)

I often run MythTV (www.mythtv.org) that uses the bttv card and XVideo stuff and
uses a lot of CPU and disk.

I've run a round of memtest86 tests. I suppose I should let it run overnight,
though.

I've tried various kernels: A Red Hat kernel 2.4.20-18.9 tainted with the NVidia
stuff., a clean (no patches, no proprietary modules) 2.4.21, a Red Hat kernel
2.4.20-18.9 with no proprietary modules, but none of them have been stable. I
have not yet tried an i686 or i386 kernel. I should try removing the bttv card...

(Attached is the first oops I've managed to copy since I switched to the
untainted Red Hat kernel. With the 2.4.21 kernel I usually got an oops in
save_i387_fxsave, saying "Unable to handle kernel paging request at virtual
address X". I can attach such an oops as well, if you're interested.)

The disassembly is interesting

 Code;  c010f6a9 <restore_fpu+9/20>   <=====
   0:   a9 00 00 00 01            test   $0x1000000,%eax   <=====

since there isn't any pointer dereference there. (Right?)


Version-Release number of selected component (if applicable):
2.4.20-18.9

How reproducible:
Sometimes

Steps to Reproduce:
1. Install RHL 9 on spec. hardware.
2. Let it run for a day or so. Maybe stress it a bit, although that won't always
reproduce the bug.


Actual Results:  Sometimes, some program (like emacs or mythfrontend
(www.mythtv.org)) will crash. Often there's an oops in dmesg.


Additional info:
Comment 1 Alexander Boström 2003-07-25 07:02:52 EDT
Created attachment 93141 [details]
ksyms.txt: ksymoops output

ksymoops -l modules.txt -m /boot/System.map-2.4.20-18.9 <dmesg.txt >ksyms.txt
Comment 2 Alexander Boström 2003-07-25 07:03:29 EDT
Created attachment 93142 [details]
dmesg.txt: dmesg output (with oops)
Comment 3 Alexander Boström 2003-07-25 07:04:02 EDT
Created attachment 93143 [details]
modules.txt: loaded modules
Comment 4 Alexander Boström 2003-07-28 01:50:13 EDT
So I underclocked my RAM and now it seems stable, so it's probably not a
software bug. Sorry to bother you... I'd resolve this report myself, but I'm not
sure I'm allowed to do that.
Comment 5 Bugzilla owner 2004-09-30 11:41:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.